/* TestExists.Rexx

   Test if every thumbnail has its picture file... and deletes thumbnails
   with no picture file... (e.g. if you deleted pictures outside of
   PicView...)

   (W) by Martin Steigerwald, 19.3.96

   V1.0 30.3.96
*/

OPTIONS RESULTS

ADDRESS PicView.1

GETENTRIES

bildanzahl=result

bildnr=0

DO WHILE bildnr<=bildanzahl-1
  GETPICDATA bildnr FILE
  datei=result

  IF ~EXISTS(datei) THEN DO
    say bildnr || ' ' || datei
    REMOVEPIC bildnr FORCE
    bildanzahl=bildanzahl - 1
  END ; ELSE DO
    bildnr=bildnr + 1
  END
END

